the header xcb/xinput.h is missing

Bug #1777994 reported by Shawn Rutledge on 2018-06-21
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
libxcb (Ubuntu)
Undecided
Unassigned
Bionic
Low
Unassigned

Bug Description

[Impact]
Allow Qt 5.12 to be compiled with full input support. This allows applications to be built using complex input devices such as drawing pads. This is used in e.g Krita which KDE builds into a Snap package for distribution. Currently Krita does not work with pen input devices with pressure sensitivity.

[Test Case]
Install Krita with Qt 5.12 from current Snap and note how pressure sensitivity does not work.

[Regression Potential]
None that I can see, it's just packaging a few new header files.

----

I suspect this means there should be another package, libxcb-xinput-dev perhaps?

I already did sudo apt install "libxcb*dev" to get all related dev packages, but none of them provide xcb/xinput.h.

The result is that when building Qt from source, it's necessary to use a copy of this file which Qt provides (qtbase/src/3rdparty/xcb/include/xcb/xinput.h), because it's missing from the system. So if you don't give the option -qt-xcb to configure, then Qt will be built without multi-touch support.

https://bugreports.qt.io/browse/QTBUG-69045

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: libxcb1-dev 1.13-1
ProcVersionSignature: Ubuntu 4.15.0-23.25-generic 4.15.18
Uname: Linux 4.15.0-23-generic x86_64
NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
ApportVersion: 2.20.9-0ubuntu7.2
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Thu Jun 21 08:32:12 2018
DistUpgraded: Fresh install
DistroCodename: bionic
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation UHD Graphics 620 [8086:5917] (rev 07) (prog-if 00 [VGA controller])
   Subsystem: Lenovo UHD Graphics 620 [17aa:3802]
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 004: ID 0cf3:e300 Atheros Communications, Inc.
 Bus 001 Device 003: ID 06cb:0081 Synaptics, Inc.
 Bus 001 Device 002: ID 04f2:b5da Chicony Electronics Co., Ltd
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: LENOVO 80Y7
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.15.0-23-generic root=ZFS=rpool/ROOT/ubuntu ro
SourcePackage: libxcb
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 02/22/2018
dmi.bios.vendor: LENOVO
dmi.bios.version: 5NCN38WW
dmi.board.asset.tag: NO Asset Tag
dmi.board.name: LNVNB161216
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40709 WIN
dmi.chassis.asset.tag: NO Asset Tag
dmi.chassis.type: 31
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo YOGA 920-13IKB
dmi.modalias: dmi:bvnLENOVO:bvr5NCN38WW:bd02/22/2018:svnLENOVO:pn80Y7:pvrLenovoYOGA920-13IKB:rvnLENOVO:rnLNVNB161216:rvrSDK0J40709WIN:cvnLENOVO:ct31:cvrLenovoYOGA920-13IKB:
dmi.product.family: YOGA 920-13IKB
dmi.product.name: 80Y7
dmi.product.version: Lenovo YOGA 920-13IKB
dmi.sys.vendor: LENOVO
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.91-2
version.libgl1-mesa-dri: libgl1-mesa-dri 18.0.0~rc5-1ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx 18.0.0~rc5-1ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.5-1ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libxcb - 1.13-2

---------------
libxcb (1.13-2) unstable; urgency=medium

  [ Timo Aaltonen ]
  * Package libxcb-xinput0/libxcb-xinput-dev. (Closes: #733227) (LP: #1777994)

  [ Andreas Boll ]
  * control: Fix VCS urls.

 -- Timo Aaltonen <email address hidden> Thu, 21 Jun 2018 13:52:59 +0300

Changed in libxcb (Ubuntu):
status: New → Fix Released
Sebastien Bacher (seb128) wrote :

Timo, do you want that fixed in bionic?

Changed in libxcb (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
importance: Undecided → Low
Timo Aaltonen (tjaalton) wrote :

I don't need this in bionic, so dropping from my TODO

Changed in libxcb (Ubuntu Bionic):
assignee: Timo Aaltonen (tjaalton) → nobody
status: New → Won't Fix
Harald Sitter (apachelogger) wrote :

uploaded bionic SRU libxcb_1.13-1.1 by Jonathan Riddell

description: updated
Changed in libxcb (Ubuntu Bionic):
status: Won't Fix → In Progress
Changed in libxcb (Ubuntu Bionic):
status: In Progress → Fix Committed

An upload of libxcb to bionic-proposed has been rejected from the upload queue for the following reason: "Should not use a non-existent Debian version, but instead reflect reality with 1.13-2~ubuntu18.04".

Jonathan Riddell (jr) wrote :

Reuploaded with 1.13-2~ubuntu18.04 version

Hello Shawn, or anyone else affected,

Accepted libxcb into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libxcb/1.13-2~ubuntu18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-bionic
Jonathan Riddell (jr) wrote :

testing on bionic with bionic-proposed enabled

I can successfully install libxcb-xinput-dev and libxcb-xinput0 and they contain the necessary files. I can install libxcb* and it includes the same files as before.

tags: added: verification-done-bionic
removed: verification-needed-bionic
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libxcb - 1.13-2~ubuntu18.04

---------------
libxcb (1.13-2~ubuntu18.04) bionic-proposed; urgency=medium

  [ Timo Aaltonen ]
  * Package libxcb-xinput0/libxcb-xinput-dev. (Closes: #733227) (LP: #1777994)

  [ Andreas Boll ]
  * control: Fix VCS urls.

 -- Jonathan Riddell <email address hidden> Thu, 21 Jun 2018 13:52:59 +0300

Changed in libxcb (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for libxcb has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers